#!/usr/bin/env ruby
require "yygem/version"
require "gli"
# include GLI::App

module Yygem

  # Your code goes here...
  class App

  	extend  GLI::App

    command :add do |c|
      c.action do |global_options,options,args|
        puts "add command"
      end
    end

    command :list do |c|
      c.action do |global_options,options,args|
        puts "list command"
      end
    end

    desc "Show yygem version"
    command :version do |version|
      version.action do |global_options, options, args|
        p VERSION
        p Dir.pwd()
      end
    end

  end


exit App.run(ARGV)

end
